<template>
    <AppLayout title="Dashboard">
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Usuario
            </h2>
        </template>
    
        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg">
                    <div class="p-6 sm:px-20 bg-white border-b border-gray-200">
                        
                        <form @submit.prevent="submit">
                            <label>Nombre:</label>
                            <input type="text" v-model="nombre" />
                            <label>Email:</label>
                            <input type="text" v-model="email" />
                            <label>Contraseña:</label>
                            <input type="password" v-model="password" />
                            <button type="submit">Enviar</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </AppLayout>
</template>
<script>
   import AppLayout from '@/Layouts/AppLayout.vue';
    import { Link } from '@inertiajs/inertia-vue3';
    import { Inertia } from '@inertiajs/inertia'
    export default{
        components:{
            AppLayout,
            Link,
        },
        props: ["usuario","errors"],
        data(){
            return{
            nombre:this.usuario.nombre,
            email:this.usuario.email,
            password: "",
            }
        },
        methods: {
            submit(){
                Inertia.put(route('usuario.update',{'usuario':this.usuario}),{
                    nombre: this.nombre,
                    email: this.email,
                    password: this.password
                })
            },
        }
    }
</script>